Loading...
Searching...
No Matches
cpe_item Struct Reference
CPE » CPE Dictionary

Structure representing single CPE dictionary item. More...

`#include <cpe_dict.h>`

Collaboration diagram for cpe_item:
[legend]

## Public Member Functions

OSCAP_API void | cpe_item_free (struct cpe_item *item)
OSCAP_API struct cpe_item * | cpe_item_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct cpe_name * | cpe_item_get_name (const struct cpe_item *item)
| cpe_item functions to get variable member name
OSCAP_API struct cpe_name * | cpe_item_get_deprecated_by (const struct cpe_item *item)
| cpe_item functions to get variable member deprecated_by
OSCAP_API const char * | cpe_item_get_deprecation_date (const struct cpe_item *item)
| cpe_item functions to get variable member date
OSCAP_API struct cpe_item_metadata * | cpe_item_get_metadata (const struct cpe_item *item)
| cpe_item functions to get metadata of cpe_item
OSCAP_API struct cpe_reference_iterator * | cpe_item_get_references (const struct cpe_item *item)
| cpe_item functions to get CPE references
OSCAP_API struct cpe_check_iterator * | cpe_item_get_checks (const struct cpe_item *item)
| cpe_item functions to get CPE checks
OSCAP_API struct oscap_text_iterator * | cpe_item_get_titles (const struct cpe_item *item)
| cpe_item functions to get CPE titles
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_item_set_name (struct cpe_item *item, struct cpe_name *new_name)
OSCAP_API bool | cpe_item_set_deprecated_by (struct cpe_item *item, struct cpe_name *new_deprecated_by)
OSCAP_API bool | cpe_item_set_deprecation_date (struct cpe_item *item, const char *new_deprecation_date)
OSCAP_API bool | cpe_item_add_reference (struct cpe_item *item, struct cpe_reference *new_reference)
OSCAP_API bool | cpe_item_add_check (struct cpe_item *item, struct cpe_check *new_check)
OSCAP_API bool | cpe_item_add_title (struct cpe_item *item, struct oscap_text *new_title)
Iterators
OSCAP_API void | cpe_item_iterator_remove (struct cpe_item_iterator *it)
Evaluators
OSCAP_API bool | cpe_item_is_applicable (struct cpe_item *item, cpe_check_fn cb, void *usr)

## Data Fields

struct cpe_name * | name
struct oscap_list * | titles
bool | deprecated
| deprecated attribute
struct cpe_name * | deprecated_by
| deprecated_by attribute, the CPE name that deprecated this
char * | deprecation_date
struct oscap_list * | references
struct oscap_list * | checks
struct oscap_list * | notes
struct cpe_item_metadata * | metadata
struct cpe23_item * | cpe23_item
| element <cpe23-item>
struct { |
bool deprecated:1 |
| Is the deprecated atrtribute specified in XML?
} | export

## Detailed Description

Structure representing single CPE dictionary item.

## Field Documentation

## deprecated

bool cpe_item::deprecated

deprecated attribute

Is the deprecated atrtribute specified in XML?

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h